<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:fresco="http://schemas.android.com/tools"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/reuse_listview_item_style"
    android:orientation="vertical"
    android:paddingLeft="15dp"
    android:paddingTop="11dp"
    android:paddingRight="20dp">

    <com.gh.gamecenter.common.view.AvatarBorderView
        android:id="@+id/user_icon"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:avatar_width="20dp"
        app:badge_width="10dp"
        app:border_color="@color/transparent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        fresco:layout_height="30dp"
        fresco:layout_width="30dp" />

    <TextView
        android:id="@+id/user_command"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginLeft="1dp"
        android:layout_marginBottom="2dp"
        android:singleLine="true"
        android:textColor="@color/text_subtitleDesc"
        android:textSize="12sp"
        app:layout_constraintBottom_toBottomOf="@id/user_icon"
        app:layout_constraintLeft_toRightOf="@id/user_icon"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="@id/user_icon" />

    <com.gh.gamecenter.common.view.ExpandTextView
        android:id="@+id/content"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="5dp"
        android:layout_marginTop="2dp"
        android:ellipsize="end"
        android:includeFontPadding="false"
        android:lineSpacingExtra="4dp"
        android:maxLines="3"
        android:textColor="@color/text_subtitle"
        android:textSize="13sp"
        app:endText="...   "
        app:expandText="全部"
        app:layout_constraintTop_toBottomOf="@id/user_icon"
        app:useGradientAlphaEndText="true" />

    <TextView
        android:id="@+id/comment"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="5dp"
        android:drawableLeft="@drawable/community_comment_count"
        android:drawablePadding="4dp"
        android:gravity="center_vertical"
        android:paddingTop="14dp"
        android:paddingRight="6dp"
        android:paddingBottom="14dp"
        android:textColor="@color/vote_selector"
        android:textSize="13sp"
        app:layout_constraintBottom_toBottomOf="@+id/vote"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toLeftOf="@+id/vote"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@id/content"
        app:layout_constraintTop_toTopOf="@+id/vote"
        tools:text="1" />

    <CheckedTextView
        android:id="@+id/vote"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="4dp"
        android:layout_marginRight="16dp"
        android:drawableLeft="@drawable/comment_vote_selector"
        android:drawablePadding="4dp"
        android:gravity="center_vertical"
        android:paddingLeft="12dp"
        android:paddingTop="14dp"
        android:paddingRight="12dp"
        android:paddingBottom="14dp"
        android:textColor="@color/vote_selector"
        android:textSize="13sp"
        app:layout_constraintLeft_toRightOf="@id/comment"
        app:layout_constraintTop_toBottomOf="@+id/content"
        tools:text="1" />


    <com.gh.gamecenter.common.view.materialratingbar.MaterialRatingBar
        android:id="@+id/rating_start"
        style="@style/Widget.MaterialRatingBar.RatingBar"
        android:layout_width="wrap_content"
        android:layout_height="10dp"
        android:layout_marginLeft="12dp"
        android:layout_marginTop="5dp"
        android:layout_marginBottom="2dp"
        android:isIndicator="true"
        android:minWidth="14dp"
        android:minHeight="14dp"
        android:numStars="5"
        app:layout_constraintBottom_toBottomOf="@id/vote"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="@id/vote"
        app:mrb_progressTint="@color/theme" />

</androidx.constraintlayout.widget.ConstraintLayout>
